Subject: RE: On the NECESSITY of MIP for LMM (was Re: [Mipshop] WG Last Ca ll comments ...)

From: Soliman Hesham <[email-masked]>
Date: Thu, 30 Oct 2003 20:06:40 -0500

> > There are clear benefits in _reusing_ existing SW though.
 > > And many years ago we went through this discussion and
 > > the WG decided that it was more beneficial to solve this
 > > exercise with MIP. It sounds like you disagree, right?
 > > Frankly, given the current situation, I think this is a very
 > > wise thing to do (reuse MIP). The benefits of repackaging
 > > the same concepts into a different protocol are very far
 > > from being clear.
 > >
 > 
 > If you are speaking here about reusing MIP and HMIP, then I 
 > think what you
 > mean is reusing existing designs, not software. To my 
 > knowledge (which is
 > probably incomplete) nobody yet has a MIPv6 or HMIPv6 
 > product, and nobody
 > yet has a deployed MIPv6 or HMIPv6 service.

=> I meant that once MIPv6 is implemented, it is easy
to reuse its functions to implement HMIPv6 in a couple
of hundred lines (literally). I hope that the reason for
our work here in IETF is to allow people to develop interoperable
products. So that's why code reuse is important. If we 
think MIPv6 will not be implemented in products it 
should be moved to historic status. But if it has not been
released in a product yet that doesn't mean we can't 
assume that it will be, and design accordingly. 
FWIW, I've been told in private about at least one 
vendor's plans to include both technologies in their 
products but I don't want to speak on anyone's behalf. 

Hesham

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop